fenics-dolfinx (1:0.9.0-1exp5) experimental; urgency=medium

  * Add epoch in versioned depends for python3-dolfinx:
     python3-dolfinx-real (>= 1:0.9.0~) | python3-dolfinx-complex (>= 1:0.9.0~)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 07 Nov 2024 07:54:15 +0000

fenics-dolfinx (1:0.9.0-1exp4) experimental; urgency=medium

  * Set versioned depends for python3-dolfinx:
      python3-dolfinx-real (>= 0.9.0~) | python3-dolfinx-complex (>= 0.9.0~)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 05 Nov 2024 12:01:11 +0000

fenics-dolfinx (1:0.9.0-1exp3) experimental; urgency=medium

  * Add libspdlog-dev to libdolfinx-dev Depends, since dolfinx header files
    include spdlog ones.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 03 Nov 2024 13:22:20 +0000

fenics-dolfinx (1:0.9.0-1exp2) experimental; urgency=medium

  * Add test_adios2_skip.patch to skip some tests in
    python/test/unit/io/test_adios2.py if dolfinx was built without support for
    ADIOS2. This typically happens on 32 bit arches.
  * test/unit/geometry/test_gjk.py::test_cube_distance currently fails on i386
    as well. Add i386 to the list of arches on which the test must be skipped.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 02 Nov 2024 15:28:38 +0000

fenics-dolfinx (1:0.9.0-1exp1) experimental; urgency=medium

  * New upstream release 0.9.0:
    - new ABI 0.9
  * Build-Depends and Depends on FEniCSx components part of release 0.9.0.
  * Refresh patches
    - extra_CXXFLAGS.patch
    - python_cmake_module_path.patch
    - lib_rename.patch
    - python_unit_test_32bit.patch
    - docs_local_mathjax.patch
    - debian_version_id.patch
    - adios_config_mpi.patch
    - python_local_license.patch
    - pusimp.patch
    so that they apply without fuzz.
  * Refresh patches
    - big_endian_skip_adios2_tests.patch
    so that they apply without failing on the new release.
  * Refresh demo_no_vtk_adios2.patch as follows:
    - it is not necessary anymore to patch demo_pml.py, since upstream has added
      a check that forces the demo to be skipped if adios2 is not installed.
    - refresh filenames for demo_scattering_boundary_conditions.py and
      demo_half_loaded_waveguide.py since upstream moved them to the main demo
      directory rather than a subdirectory.
  * Drop test_timing_precision.patch since the issue was fixed upstream
    (see https://github.com/FEniCS/dolfinx/issues/2946 and
     https://github.com/FEniCS/dolfinx/pull/3193/files)
    with a different patch.
  * Drop test_adios2_MPI.patch since the issue was fixed upstream
    (see https://github.com/FEniCS/dolfinx/pull/3124)
    with a different patch.
  * Drop
    - Newton_KSP_ref_counter_PR3190.patch
    - 42c43485e81ada306f0b3f1dc735d95539174cbc.patch
    since they come from pull requests that have been released upstream.
  * Add libspdlog-dev to Build-Depends, since release 0.9.0 introduced it in
    https://github.com/FEniCS/dolfinx/pull/3216
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=":oversubscribe"
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
  * Add drop_Werror.patch: drops every usage of the -Werror flag because
    fmtlib (pulled in through Build-Depends: libspdlog-dev) currently raises
    several warnings when compiling the C++ part of dolfinx with gcc 14.
    Upgrading from fmtlib v9 to fmtlib v10 may fix (at least some of) these
    warnings: fmtlib v10 is available on experimental, but not yet uploaded to
    unstable, see Bug: #1072674.
  * Add demo_stokes_mumps_instead_of_superlu_dist.patch: upstream moved from
    using mumps to using superlu_dist in demo_stokes.py. However, running this
    demo with superlu_dist 8.2.1 (as currently packaged by debian) gives
       (C) Norm of velocity coefficient vector (blocked, direct): inf
       (C) Norm of pressure coefficient vector (blocked, direct): inf
    The patch reverts to solving the linear system with mumps. It is likely that
    this patch will not be required anymore when superlu_dist 9.0.0 will be
    packaged by debian, since that is the version that upstream tests againsts.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 31 Oct 2024 09:43:40 +0000

fenics-dolfinx (1:0.8.0-12) unstable; urgency=medium

  * fix cleaning of python demo docs from doc source

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2024 17:21:03 +0200

fenics-dolfinx (1:0.8.0-11) unstable; urgency=medium

  * Rebuild for python3-basix 0.8.0-8 to ensure that nanobind wrappers of both
    python3-basix and python3-dolfinx are built against GCC 14.
    Closes: #1074951.
  * Update python3-dolfinx Breaks to python3-dolfinx-mpc (<< 0.8.0.post1-5).
    This will ensure that nanobind wrappers are consistently built with GCC 14
    also for the next upload python3-dolfinx-mpc (see Bug #1074920)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 09:59:47 +0000

fenics-dolfinx (1:0.8.0-10) unstable; urgency=medium

  * Refresh 42c43485e81ada306f0b3f1dc735d95539174cbc.patch so that it applies
    without fuzz.
  * Require pusimp >= 0.1.1
  * Update pusimp.patch:
    - compatibility with pusimp 0.1.1
    - pin pip-installed numpy to <2.0 until debian ships numpy 2.0 too,
      otherwise numpy 2.0 would break binary compatibility in petsc4py and
      slepc4py.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 22 Jun 2024 12:59:48 +0000

fenics-dolfinx (1:0.8.0-9) unstable; urgency=medium

  * Drop Replaces and Conflicts with libdolfin, since they are ancient and this
    package now provides dolfinx, not dolfin.
  * Add Breaks python3-dolfinx-mpc on python3-dolfinx.
    Indeed, python3-dolfinx since 0.8.0-8 is breaking dolfinx-mpc before
    0.8.0.post1-4 because both dolfinx and dolfinx-mpc python wrappers need
    to be compiled with nanobind 2.0

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 05 Jun 2024 09:00:14 +0000

fenics-dolfinx (1:0.8.0-8) unstable; urgency=medium

  * Build-Depends on python3-nanobind (>= 2.0.0~)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 02 Jun 2024 05:13:23 +0000

fenics-dolfinx (1:0.8.0-7exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/42c43485e81ada306f0b3f1dc735d95539174cbc.patch:
    - upstream fix for newer nanobind 2.0 (Closes: #1072183)

  [ Francesco Ballarin ]
  * Fix Maintainer name of Debian Science team (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix field name typo in debian/copyright (Comments vs Comment).

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 01 Jun 2024 09:00:09 +0000

fenics-dolfinx (1:0.8.0-6) unstable; urgency=medium

  * debian patch Newton_KSP_ref_counter_PR3190.patch applies upstream
    PR3190 to fix reference counting causing a GC segfault in
    NonlinearProblems (NewtonSolver).
  * skip test-dolfinx-python-pusimp on riscv64

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 May 2024 11:17:08 +0200

fenics-dolfinx (1:0.8.0-5) unstable; urgency=medium

  * debian/tests: reinstate Restrictions: allow-stderr for cpp tests.
    Needed since armhf sends C++ warnings to stderr.

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 May 2024 17:14:09 +0200

fenics-dolfinx (1:0.8.0-4) unstable; urgency=medium

  * add armhf to GJK (test_cube_distance in test_gjk) skip list.
    Skip only failing arches in debian/tests.
  * align debian/tests with tests skipped in debian/rules. All tests
    should now pass except test_cube_distance and test_nonlinear_pde
    on some arches (and skip slow tests on riscv64).
  * debian/tests: remove Restrictions: allow-stderr from all tests
    (was added for legacy dolfin, should be deprecated for dolfinx)
  * skip a large number of python unit tests on riscv64, which is slow
    and times out on debci

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 May 2024 18:32:43 +0200

fenics-dolfinx (1:0.8.0-3) unstable; urgency=medium

  * python3-dolfinx-real and python3-dolfinx-complex: add missing Depend on
    python3-pusimp

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 04 May 2024 06:47:48 +0000

fenics-dolfinx (1:0.8.0-2) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Add back pusimp tests, but only when internet is available
    - update pusimp.patch to test for internet availability
    - motivate internet availability in README.Debian
    - test all available python versions in autopkgtest file
      debian/tests/test-dolfinx-python-pusimp
    - testing now requires python3-requests
  * Drop http_proxy="" https_proxy="" from debian/rules, in order not
    to require internet availability while building.
  * Require restrictions: needs-internet while testing pusimp with autokpgtest

  [ Drew Parsons ]
  * move python3-jupytext, python3-matplotlib to Build-Depends-Indep
    (needed only for jupytext to build docs)
  * update debian/tests
    - add skipped numba demos (demo_static-condensation.py) to demo skip list
    - test-dolfinx-python-pusimp Depends: python3-all (for py3versions -s)

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 May 2024 16:10:47 +0200

fenics-dolfinx (1:0.8.0-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release v0.8.0
  * Build-Depends and Depends on release FEniCSx 0.8.0 components
  * Add Build-Depends on python3-jupytext, and remove former workaround
    - also requires python3-matplotlib as Build-Depends, since demos import it
  * Remove docs_no_jupytext.patch
  * Refresh patches
  * Remove consistent_dtype_PR3139.patch, which has been merged upstream

  [ Drew Parsons ]
  * skip test_nonlinear_pde on mips64el during build
  * refactor debian/tests to use bash arrays to manage python tests and
    demos to be skipped (using scipy's method)
  * debian/tests times out on riscv64, so skip the slowest python
    tests and demos and run tests with -v to monitor.
    Also skip slow build tests.
  * disable pusimp for unstable
  * set XDG_CACHE_HOME to local doc build dir when building docs in
    order to avoid /nonexistent path errors from the ffcx jit cache
    when building in a chroot without a user home (e.g. pbuilder/pdebuild)
    cf. dolfinx/jit.py l.24
  * debian patch lib_rename.patch: reintroduce cmake test for complex
    scalars (removed in 0.8) in HAVE_SCALAR_COMPLEX (removing "_PETSC")

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 May 2024 20:58:24 +0200

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-5) experimental; urgency=medium

  * Require python3-pusimp and add pusimp.patch
  * Add test file for usage of python3-pusimp
  * Do not test pusimp while building, because the test assumes
    python3-dolfinx to be already installed.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 21 Apr 2024 08:31:38 +0000

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-4) experimental; urgency=medium

  * report python unit test durations at build time
    (to check why riscv64 is so slow)
  * skip python unit tests failing to converge at build time
    - armel mips64el sparc64: test_cube_distance (in test_gjk)
    - ppc64: test_nonlinear_pde

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Apr 2024 00:36:05 +0200

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-3) experimental; urgency=medium

  * debian patch consistent_dtype_PR3139.patch applies upstream PR#3139
    to provide consistent dtypes (on 32 bit arches)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Apr 2024 12:15:57 +0200

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-2) experimental; urgency=medium

  * enable adios2 python tests
    - debian patch test_adios2_MPI.patch skips test_vtx_reuse_mesh
      (python unit test for adios2) if MPI support is not detected
    - but run python unit tests with env ADIOS2_ALWAYS_USE_MPI=1
  * Build-Depends: python3-scipy <!nocheck> (used in unit tests)
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Apr 2024 10:11:34 +0200

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream snapshot of v0.8.0 release
  * Change ABI version to 0.8
  * Add Francesco Ballarin to uploaders
  * Build-Deps: get python3-basix, python3-ffcx and python3-ufl from
    experimental (v0.8.0 snapshots)
  * Buid-Deps: drop python3-pybind11 in favor of python3-nanobind
  * Remove outdated content from README.source
  * Refresh debian patches
  * Build python package with pybuild instead of setuptools
  * Add python_local_license.patch to ensure that pybuild uses a local copy of
    the COPYING.LESSER license file
  * Build python documentation by calling sphinx instead of using a makefile
  * Drop python3-cppimport from test dependencies

  [ Drew Parsons ]
  * Depends: pkgconf not pkg-config
  * debian/rules: rename override_dh_auto_install-real rule as
    debian/tmp-real so that existence of the dir can be used to
    prevent the rule being invoked twice (by
    override_dh_auto_install-arch and by override_dh_auto_install-indep)
  * enable pybuild tests using pytest
    - skip adios2 tests at build time

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Apr 2024 19:25:36 +0200

fenics-dolfinx (1:0.7.3-5) unstable; urgency=medium

  * debian patch big_endian_skip_adios2_tests.patch skips using
    VTXWriter (Adios2) on big-endian systems (s390x, etc) for
    demo_interpolation-io (C++, Python), and demo_poisson,
    demo/interpolation_different_meshes (C++).  Adios2 is not fully
    tested on big-endian. Note that failure is not universal on s390x.
    demo_poisson passes in Python, and adios2 unit tests pass.
  * debian/tests: run python tests over all supported python versions

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Feb 2024 11:30:04 +0100

fenics-dolfinx (1:0.7.3-4) unstable; urgency=medium

  * rebuild to test dolfinx built against adios2 configured with
    -DADIOS2_USE_Endian_Reverse=ON on big-endian systems (s390x)

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Feb 2024 14:03:39 +0100

fenics-dolfinx (1:0.7.3-3) unstable; urgency=medium

  * add debian patch test_timing_precision.patch to allow for more
    uncertainty in timing resolution. Degradation of resolution might
    have been introduced by boost 1.83. See upstream Issue #2946.
  * dolfinx 0.7 supports PETSc 3.19. Closes: #1042003.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 01:51:08 +0100

fenics-dolfinx (1:0.7.3-2) unstable; urgency=medium

  * revert the change to adios_config_mpi.patch that added system
    include dirs from adios2::cxx11_mpi. adios2 packages have been
    reconfigured to include the required path with adios2::core.
  * update debian patch lib_rename.patch to check for petsc_real.so or
    petsc_complex.so in load_petsc_lib() [fem/petsc.py] depending on
    petsc4py.PETSc.ScalarType, or on petsc_dir if petsc4py.PETSc is not
    yet loaded.

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Dec 2023 20:24:48 +0100

fenics-dolfinx (1:0.7.3-1) unstable; urgency=medium

  [ Drew Parsons ]
  * update debian patch adios_config_mpi.patch to use include dirs
    for adios2::cxx11_mpi in order to access ADIOSConfig.h, which is
    build-specific (mpi or serial, we want mpi)

  [ Francesco Ballarin ]
  * New upstream release 0.7.3

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 30 Dec 2023 13:51:23 +0000

fenics-dolfinx (1:0.7.2-2) unstable; urgency=medium

  * enable ADIOS2 (VTXWriter) support
    - Build-Depends: libadios2-mpi-c++11-dev (64-bit systems only).
    - libdolfinx-dev Depends: libadios2-mpi-c++11-dev to (64-bit)
    - debian patch adios_config_mpi.patch adds mpi suffix to search
      path to find adios2 cmake config files with MPI support
      Search for COMPONENTS CXX only, to avoid depending on
      libadios2-mpi-c-dev
  * use dh_auto_configure with -D to set sourcedir to cpp source
  * debian/tests: skip demo_lagrange_variants python demo, which
    triggers a segfault when plotting elements. Possibly a bug in
    libtcl used by matplotlib.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Nov 2023 13:59:18 +0100

fenics-dolfinx (1:0.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Nov 2023 09:39:42 +0100

fenics-dolfinx (1:0.7.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch include_std_bind.patch
  * dolfinx 0.7 uses catch2 v3. Closes: #1054701.

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Oct 2023 16:47:23 +0100

fenics-dolfinx (1:0.7.0-1exp2) experimental; urgency=medium

  * reinstate build-time tests since catch2 v3 is now packaged.
    Drop internet access for debian/tests.
  * reinstate demo_poisson_mpi C++ tests and python unit tests
    test_cffi_assembly test_compute_closest_entity_2d. Segfault on
    32 bit systems seems to have cleared now. Closes: #995599.

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Oct 2023 19:41:57 +0200

fenics-dolfinx (1:0.7.0-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 0.7.
    - applies debian patches gcc13_PR2646.patch, gcc13_PR2647.patch,
      fix_mesh_py3.11_PR2500.patch
  * drop redundant debian patches gcc13_soname.patch,
    demo_no_pyvista_addons.patch, skip_demo_stokes_direct.patch
  * C++ tests require catch2 v3 which is not yet packaged, see
    Bug#1053516
    - skip C++ tests at build-time until catch2 v3 becomes available
    - enable internet in debian/tests to download and build catch2 v3
      for runtime tests
    - debian patch include_std_bind.patch #include <functional> to
      define std::bind for C++ tests
  * generate demo doc source files (*.md) manually using
    python/doc/source/jupytext_process.py (uses jupytext, not yet
    packaged for debian. Bug#1012388). Store generated doc files in
    debian/doc/demos. Document in debian/README.source. Document
    generated binary PNG image files in debian/source/include-binaries.
  * C++ demo files are now common between real and complex builds
    (complex-specific demos stop early if run in real mode)
  * drop deprecated Depends: python3-six. Closes: #1053309.

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Oct 2023 16:13:32 +0200

fenics-dolfinx (1:0.6.0-8) unstable; urgency=medium

  * update debian patch fix_mesh_py3.11_PR2500.patch to the final
    version of PR2500 that was applied upstream (it defines
    mesh._cpp_object rather than mesh._mesh)
    - deprecates debian patches test_no_numba.patch and
      enable-importing-cffi_support-from-new-or-old-numba.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Sep 2023 15:57:13 +0200

fenics-dolfinx (1:0.6.0-7) unstable; urgency=medium

  * source-only upload for migrating to testing. Closes: #1043061.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Aug 2023 17:45:04 +0200

fenics-dolfinx (1:0.6.0-6) unstable; urgency=medium

  * debian patch gcc13_soname.patch adds gcc13 tweak to soname
    since gcc13 patches alter the ABI.
  * debian/tests: skip python demo demo_pml,
    has the same problems as demo_axis

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Jul 2023 17:15:42 +0200

fenics-dolfinx (1:0.6.0-5) unstable; urgency=medium

  * debian patches gcc13_PR2646.patch and gcc13_PR2647.patch
    apply upstream PR2646 and PR2647 to fix build with gcc-13.
    Closes: #1037649.

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Jul 2023 13:28:13 +0200

fenics-dolfinx (1:0.6.0-4) unstable; urgency=medium

  * complex-number demo demo_axis.py is generally flakey
    (fails also on i386) so skip on all arches

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Jul 2023 12:00:20 +0200

fenics-dolfinx (1:0.6.0-3) unstable; urgency=medium

  * debian/tests: pyvista is not yet available in debian but if it is
    installed locally then run demo tests in off-screen mode
  * debian patch demo_no_pyvista_addons.patch checks availability of
    the pyvista jupyter backend used by demos. Check for trame rather
    than pythreejs or ipygany, as recommended by pyvista. Note that
    none of these backends are currently packaged for debian (hence
    the need for the check).
  * debian/tests: skip complex-number demo demo_axis.py on failing
    architectures armel, armhf, s390x.
    cf. https://github.com/FEniCS/dolfinx/issues/2686

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Jun 2023 19:43:10 +0200

fenics-dolfinx (1:0.6.0-2) unstable; urgency=medium

  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jun 2023 18:38:09 +0200

fenics-dolfinx (1:0.6.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - bump ABI to 0.6
    - drops Depends: libxtensor-dev (and therefore libxsimd-dev, and
      drop debian patch mipsel_python_lighter.patch)
    - versioned Depends: python3-numpy (>= 1:1.21~)
  * debian patch demo_no_vtk_adios2.patch skips use of VTXWriter in
    python demos (adios2 is not yet available for Debian)
  * mark debian/tests test-dolfinx-python-unittests as #!/bin/bash
    to use [[ ]] conditionals.

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jan 2023 11:43:04 +0100

fenics-dolfinx (1:0.5.2-2) unstable; urgency=medium

  * add debian patches:
    - debian_version_id.patch sets git_commit_hash to
      DEBIAN_VERSION_ID (os ID from /etc/os-release with debian
      version) rather than leaving as "unknown" (since built from
      tarball source not git source).
    - fix_mesh_py3.11_PR2500.patch applies upstream PR2500 to fix
      creation of python Mesh objects from C++ in python 3.11, which
      introduced stronger type checking
  * dh_auto_clean override: clean detritus from doc builds

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Jan 2023 03:28:41 +0100

fenics-dolfinx (1:0.5.2-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch header_algorithm_PR2323.patch
  * set test-dolfinx-python-demos to bash to use [[...]] conditional

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Oct 2022 12:23:56 +0100

fenics-dolfinx (1:0.5.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch cmake_dolfinx_xsimd.patch
  * update debian patch test_no_numba.patch to skip entire test file
    if numba is not available. Affects python fem unit tests:
    test_custom_jit_kernels.py, test_element_integrals.py,
    test_expression.py, test_interpolation.py

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Sep 2022 13:24:04 +0200

fenics-dolfinx (1:0.5.0-1exp3) experimental; urgency=medium

  * fix spelling error in mip[s]64el

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Sep 2022 17:36:20 +0200

fenics-dolfinx (1:0.5.0-1exp2) experimental; urgency=medium

  * apply build flag -Wno-error=maybe-uninitialized on mip64el to
    prevent xtensor (xtl/xsequence.hpp) causing build failure.
    Closes: #1017053

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Sep 2022 14:56:48 +0200

fenics-dolfinx (1:0.5.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - bump ABI to 0.5
    - applies debian patch cmake_dolfinx_mpi_cxx.patch
    - libdolfinx-dev [Build-]Depends: libpugixml-dev
  * update debian patch cmake_dolfinx_xsimd.patch to ensure XSIMD
    configuration is propagated if configured at build time.
    Required so that applications (demos) and python extensions are
    built with the corresponding XSIMD support used to build
    libdolfinx*.so, otherwise there is a discrepancy in symbol
    definitions, see https://github.com/FEniCS/dolfinx/issues/2326
  * debian patch header_algorithm_PR2323.patch applies upstream PR2323
    to #include <algorithm> in MPI.h enabling std::sort to be used
    with gcc 12.
  * remove python/build-{real,complex}, debian/tmp-{real,complex} and
    python/fenics_dolfinx.egg-info build dirs with dh_auto_clean

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Sep 2022 19:00:32 +0200

fenics-dolfinx (1:0.4.1-7) unstable; urgency=medium

  * fix skipping of test_fem_pipeline on s390x

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Sep 2022 18:13:12 +0200

fenics-dolfinx (1:0.4.1-6) unstable; urgency=medium

  * update debian/tests
    - skip MPI test of test_fem_pipeline on s390x
    - reenable helmholtz demo on i386, armhf (no longer slow)

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Sep 2022 13:09:05 +0200

fenics-dolfinx (1:0.4.1-5) unstable; urgency=medium

  * apply build flag -Wno-error=maybe-uninitialized on mips64el to
    prevent xtensor (xtl/xsequence.hpp) causing build failure.
    Closes: #1017053

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Sep 2022 22:54:50 +0200

fenics-dolfinx (1:0.4.1-4) unstable; urgency=medium

  * libdolfinx-dev Depends: libxtensor-dev, libxsimd-dev with the
    versions that dolfinx was built against.

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Jun 2022 14:16:42 +0200

fenics-dolfinx (1:0.4.1-3) unstable; urgency=medium

  * debian/tests: unittests Depends: python3-cppimport
  * debian/tests: explicitly switch off the pytest-mpi plugin when
    running MPI python demo tests. The mpi plugin is incompatible with
    the custom mpi marker used by python/demo/test.py,
    see https://github.com/FEniCS/dolfinx/issues/2254

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Jun 2022 14:41:12 +0200

fenics-dolfinx (1:0.4.1-2) unstable; urgency=medium

  * debian patch skip_demo_stokes_direct.patch skips test assertions
    for direct solvers in python Stokes demo since they return
    nan or inf. See https://github.com/FEniCS/dolfinx/issues/2242
  * versioned Build-Depends: python3-pybind11 (>= 2.7.0~)
    (fails at runtime with pybind11 2.6, see upstream Issue#2248)
  * add arm64 to list of xsimd-supported architectures. Expected to
    work fine with xsimd 0.8 and xtensor 0.24.
    i386 and armhf still fail xsimd tests so don't add them yet.
  * drop Build-Depends: libxtensor-blas-dev (no longer used)
  * brings FEniCS 0.4 to unstable. Closes: #1013518.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jun 2022 14:00:54 +0200

fenics-dolfinx (1:0.4.1-1exp3) experimental; urgency=medium

  * update debian patch mipsel_python_lighter.patch to drop mipsel
    python optimizations to -Os -g0 to allow for high memory
    requirements of xt (xtensor) headers. Reenable LTO.

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jun 2022 00:16:40 +0200

fenics-dolfinx (1:0.4.1-1exp2) experimental; urgency=medium

  * debian patch mipsel_python_lighter.patch switches off LTO when
    building python module extensions on mipsel. mipsel runs out of
    memory so we need to lighten its load.

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Jun 2022 11:25:22 +0200

fenics-dolfinx (1:0.4.1-1exp1) experimental; urgency=medium

  * New upstream release.
    - new ABI bump libdolfinx-real0.4, libdolfinx-complex0.4
    - versioned Depends:  libbasix-dev (>= 0.4.0~),
      python3-ffcx (>= 1:0.4.2~), python3-ffcx (<< 1:0.5.0),
      python3-ufl (>= 2022.1.0~), python3-ufl (<< 2022.2.0)
    - applies debian patches:
       FindPETSc_mpi_include_path.patch
       MPI_remove_inplace_PR1738.patch
       avoid_cppimport_tests.patch
       stokes-taylor-hood-NAN.patch
       test_bbox_non_unique_facets.patch
       use_std_filesystem_PR1980.patch
       use_system_catch.patch
    - update debian/copyright: FindUFC.cmake changed to FindUFCx.cmake,
      some files removed
    - changed identification of use of PETSc complex numbers.
      has_petsc_complex removed from dolfinx.common
    - update debian patch lib_rename.patch h to check for complex PETSc
      using HAVE_PETSC_SCALAR_COMPLEX as well as PETSC_SCALAR_COMPLEX.
      installed cmake file checks symbol in petscconf.h.
      Use petsc4py and numpy in python tests to check
      if complex PETSc is used
  * Build-Depends-Indep: python3-myst-parser (for python docs)
  * add debian patches
    - cmake_dolfinx_mpi_cxx.patch links dolfinx cmake
      configuration to MPI_CXX before MPI_C. Otherwise link fails
      without libmpi_cxx.so (undefined _ZN3MPI8Datatype4FreeEv)
      cf. upstream Issue #2229.
    - cmake_dolfinx_xsimd.patch adds XTENSOR_USE_XSIMD to
      dolfinx compilation definitions when configured
    - docs_no_jupytext.patch disables use of jupytext in python docs
      (jupytext is not yet packaged for Debian). This disables
      formatting of demo docs, so add link to
      https://docs.fenicsproject.org/dolfinx/main/python/demos.html
    - test_no_numba.patch, to remove numba usage from python tests
      (numba is not available at the moment)
  * build cpp tests and demos in same dir as generated source
    otherwise cmake doesn't know to generate poisson.c from poisson.py
  * demo CMakeLists.txt now pregenerated and version.h no longer
    generated in srcdir, don't remove with dh_auto_clean
  * update debian patch lib_rename.patc
  * use set -e in debian/tests to ensure errors are not missed
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Jun 2022 17:38:29 +0200

fenics-dolfinx (1:0.3.0-15) unstable; urgency=medium

  * python3-dolfinx-real Depends: libdolfinx-real-đev,
    python3-dolfinx-complex Depends: libdolfinx-complex-dev
    Required to provide dolfinx_*.pc, used by jit.
  * numba currently out of action, skip numba tests for now

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Apr 2022 12:07:52 +0200

fenics-dolfinx (1:0.3.0-14) unstable; urgency=medium

  * debian patch test_bbox_non_unique_facets.patch drops use of unique
    top_facets in test_sub_bbtree_box, which corrupts the numpy type
    when applied to an empty set. See upstream Issue #2070.
    Closes: #1007798.

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Mar 2022 00:29:51 +0100

fenics-dolfinx (1:0.3.0-13) unstable; urgency=medium

  * debian patch use_std_filesystem_PR1980.patch applies upstream
    PR1980 to replace boost::filesystem references with std::filesystem
  * debian patch docs_local_mathjax.patch builds docs using local
    mathjax script

 -- Drew Parsons <dparsons@debian.org>  Wed, 02 Feb 2022 16:48:17 +0100

fenics-dolfinx (1:0.3.0-12) unstable; urgency=medium

  * debian/tests: skip python MPI unit tests on 32-bit systems.
    Some unit tests trigger an MPI_ABORT error for reasons unknown
    (possibly related to Bug#995599). Affects i386, armhf etc.

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Nov 2021 16:53:12 +0100

fenics-dolfinx (1:0.3.0-11) unstable; urgency=medium

  * drop debian patch compute_entity_32bit.patch. It did not fix the
    compute_entity failures on i386, armhf. Skip
    test_compute_closest_entity_2d instead.
  * Also skip test_cffi_assembly on 32-bit arches (cf. Bug#995599)

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Oct 2021 13:14:03 +0200

fenics-dolfinx (1:0.3.0-10) unstable; urgency=medium

  * fix tests on 32-bit systems
    - check numba.core.config.IS_32BITS in debian patch
      python_unit_test_32bit.patch when using numba parallel
    - skip mpi demos (helmholtz_2d, static_condensation_elasticity,
      poisson). cf. Bug#995599.
  * add debian patch compute_entity_32bit.patch to use int32_t
    consistently with declaration of _compute_nearest_entity
    (cf. python_unit_test_32bit.patch)

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Oct 2021 00:51:03 +0200

fenics-dolfinx (1:0.3.0-9) unstable; urgency=medium

  * switch libdolfinx-dev to Architecture: any, since xsimd
    configuration in cmake config files is arch-specific.
    - cmake files now returned to original arch-specific path
    - mark libdolfinx-dev as Multi-Arch: same
    - python3-dolfinx-real Depends: libdolfinx-dev (= ${binary:Version})
      Likewise python3-dolfinx-complex.
  * update debian/tests (autopkgtest)
    - use common test scripts for real and complex builds
    - enable python tests using numba where available
    - skip demo_poisson_mpi* C++ demos on 32-bit arches (Bug#995599)

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Oct 2021 14:56:23 +0200

fenics-dolfinx (1:0.3.0-8) unstable; urgency=medium

  * move libdolfinx-dev Recommends to Depends: ${xsimd:Depends},
    set to libxsimd-dev if dolfinx is configured to use xsimd
    (when xsimd is needed in dolfinx cmake config file)

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Oct 2021 01:30:25 +0200

fenics-dolfinx (1:0.3.0-7) unstable; urgency=medium

  * skip demo_poisson_mpi build-time tests on 32-bit systems.
    Segfaults on 32-bit systems, see Bug#995599.

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Oct 2021 17:50:49 +0200

fenics-dolfinx (1:0.3.0-6) unstable; urgency=medium

  * release dolfinx 0.3 to unstable. Closes: #996987.
  * drop xsimd support on arm64 (fails tests, see xtensor)

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Oct 2021 00:15:18 +0200

fenics-dolfinx (1:0.3.0-5) experimental; urgency=medium

  * debian patch MPI_remove_inplace_PR1738.patch adapts upstream
    PR1738 to drop use of MPI_IN_PLACE in MPI_Alltoall.

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Oct 2021 18:36:25 +0200

fenics-dolfinx (1:0.3.0-4) experimental; urgency=medium

  * reduce xsimd support to only those arches where it is known to
    work (amd64 arm64, and kfreebsd is untested). i.e. track basix
    and xtensor for xsimd-supporting arches.
    libxsimd-dev is available on some other arches such as i386, m68k,
    but no xsimd instructions are actually available there, which
    causes problems.
  * update debian/copyright
  * add :any to Build-Depends: python3-all-dev:any

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Oct 2021 18:34:15 +0200

fenics-dolfinx (1:0.3.0-3) experimental; urgency=medium

  * drop xsimd support from x86 [i386 hurd-i386 x32]
    tracking xtensor (and basix)

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Sep 2021 17:26:26 +0200

fenics-dolfinx (1:0.3.0-2) experimental; urgency=medium

  * versioned Depends: libxtensor-dev (>= 0.23.10~),
    libxtensor-blas-dev (>= 0.19.1~)
  * debian patch use_system_catch.patch uses system-installed catch2.
    Build-Depends: catch2. Closes: #993510.

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Sep 2021 15:21:57 +0200

fenics-dolfinx (1:0.3.0-1) experimental; urgency=medium

  * New upstream release
    - Depends: libbasix-dev (>= 0.3.0~), python3-ffcx (>= 1:0.3.0~)
    - lib soname bump to 0.3
  * Build-Depends: libxtensor-dev, libxtensor-blas-dev,
    python3-pip, python3-pybind11
  * use xtensor with XSIMD support on arches where available.
    Build-Depends: libxsimd-dev (>= 7.4.4~)
     [amd64 arm64 i386 hurd-i386 kfreebsd-any m68k sh4 x32]
    arch:all libdolfinx-dev Recommends: libxsimd-dev
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Sep 2021 18:38:34 +0200

fenics-dolfinx (1:0.1.0-1) experimental; urgency=medium

  * update source package name to fenics-dolfinx
    - update Vcs salsa paths to fenics-dolfinx
    - remove upstream/signing-key.asc
      (upstream PGP signatures no longer provided)
  * first official upstream release
    - released as 0.1.0. Raise epoch to 1: to set higher than 2019.2.0
    - update library package names to libdolfinx-{real,complex}0.1
    - update individual versioned Depends:
        python3-all-dev (>= 3.7~),
        libbasix-dev (>= 0.1.0~),
        python3-ffcx (>= 1:0.1.0~), python3-ffcx (<< 1:0.2.0),
        python3-ufl (>= 2021.1.0~), python3-ufl (<< 2021.2.0)
    - use epoch with next dolfinx version (in libdolfinx-dev)
      i.e. libdolfinx-dev Depends: libdolfinx-real-dev (<< 1:0.2~)

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 May 2021 14:49:42 +0200

dolfinx (2019.2.0~git20210410.b421249-2) experimental; urgency=medium

  * libdolfinx-dev Depends: libdolfinx-real-dev (>= ${source:Version}),
    libdolfinx-real-dev (<< ${fenics:Next-Upstream-Version}).
    (or complex). Versioned Depends, otherwise packages might not be
    upgraded consistently.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Apr 2021 12:21:13 +0200

dolfinx (2019.2.0~git20210410.b421249-1) experimental; urgency=medium

  * New upstream snapshot
    - uses basix with xtl, xtensor, xtensor-blas
      Build-Depends: libbasix-dev (>= 0.0.1~git20210409.b980196~)
    - Build-Depends: xtensor-dev, libdolfinx-dev Depends: xtensor-dev
      (used directly, not only through basix)
    - Depends: python3-ffcx (>= 2019.2.0~git20210411.2b30c8d~)
    - drop debian patch find_basix.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Apr 2021 00:58:14 +0200

dolfinx (2019.2.0~git20210304.146860e-2) experimental; urgency=medium

  * tighten libdolfinx-dev dependency on python3-ffcx
  * libdolfinx-real-dev Recommends: libdolfinx-dev

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Mar 2021 08:58:58 +0100

dolfinx (2019.2.0~git20210304.146860e-1) experimental; urgency=medium

  * New upstream snapshot.
    - applies debian patch cmake_libdir_PR1359.patch
  * update versioned Build-Depends:
      cmake (>= 3.12),
      libbasix-dev (>= 0.0.1~git20210305.fe8fada~),
      libboost-dev (>= 1.70),
      libpetsc-real-dev (>= 3.10), libpetsc-complex-dev (>= 3.10),
      libslepc-real-dev (>= 3.10), libslepc-complex-dev (>= 3.10),
      python3-ffcx (>= 2019.2.0~git20210308.bfd391e~),

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Mar 2021 01:23:07 +0100

dolfinx (2019.2.0~git20210130.c14cb0a-5) unstable; urgency=medium

  * use triple-slash (file:///) for mathjax local url replacement to
    make docs for demos properly legible.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Jun 2021 14:59:59 +0200

dolfinx (2019.2.0~git20210130.c14cb0a-4) unstable; urgency=medium

  * update fenics:Upstream-Version to 2019.2.0~git20210116 to ensure
    up-to-date python3-ffcx (using basix) is installed.

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Feb 2021 02:28:09 +0100

dolfinx (2019.2.0~git20210130.c14cb0a-3) unstable; urgency=medium

  * tighten Build-Depends: python3-ffcx (>= 2019.2.0~git20210122.22ca4c0~)

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Feb 2021 22:37:37 +0100

dolfinx (2019.2.0~git20210130.c14cb0a-2) unstable; urgency=medium

  * bring latest snapshot to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Feb 2021 12:43:27 +0100

dolfinx (2019.2.0~git20210130.c14cb0a-1) experimental; urgency=medium

  * New upstream snapshot.
    - Build-Depends: libbasix-dev, python3-basix
    - applies debian patch lowercase_slepc.pc_PR1195.patch
  * debian patch find_basix.patch looks for libbasix.so in
    standard multiarch library path (used by libbasix-dev)
  * override dh_auto_clean to clean generated files in source dirs

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Jan 2021 16:24:28 +0100

dolfinx (2019.2.0~git20201109.17bda9f-6) unstable; urgency=medium

  * debian patch cmake_libdir_PR1359.patch applies upstream PR#1350
    which install dolfinx cmake files under libdir not /usr/share
    - this upstream patch places dolfinx cmake files in
      /usr/lib/<arch>/cmake/dolfinx. But Debian moves them back to
      /usr/share/dolfinx/cmake in libdolfinx-dev and edits them in
      order to keep libdolfinx-dev arch-independent.
  * debian patch FindPETSc_mpi_include_path.patch ensures MPI header
    files are always used (if available) when testing PETSc.
  * skip gmsh tests and demos in debian/tests. Currently triggers
    SIGABRT in libgmsh.so.4 or in eigen3. See Bug#981128.

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Jan 2021 17:18:53 +0100

dolfinx (2019.2.0~git20201109.17bda9f-5) unstable; urgency=medium

  * debian/tests: skip test_cube_distance in python unit tests
    (see https://github.com/FEniCS/dolfinx/issues/1104)
  * debian patch python_unit_test_32bit.patch uses numpy.int32 instead
    of numpy.intc with MeshTags in python unit tests.
    See https://github.com/FEniCS/dolfinx/issues/1289.
  * set RDMAV_FORK_SAFE when building docs to handle forks safely

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Dec 2020 11:16:25 +1100

dolfinx (2019.2.0~git20201109.17bda9f-4) unstable; urgency=medium

  * update debian/tests (autopkgtest)
    - Restrictions: allow-stderr for C++ tests to ignore compilation
      warnings sent to stderr.
    - skip tests using numba and remove dependencies on python3-numba
      (numba is not yet available for python3.9, see Bug#972246)
    - report execution durations of 20 slowest python tests and demos
    - run python unit tests separately from demos
    - skip slow python unit tests test_RT_N1curl_simplex and
      test_assembly_solve_taylor_hood
    - skip slow demos cahn-hilliard and stokes-taylor-hood,
      and helmholtz_2d on i386 and armhf.
  * Standards-Version: 4.5.1
  * dolfinx-doc Suggests: python3-numba
    (used by static-condensation-elasticity demo)

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Dec 2020 23:08:19 +0800

dolfinx (2019.2.0~git20201109.17bda9f-3) unstable; urgency=medium

  * run python tests (real and complex) in separate blocks in
    debian/tests to help avoid timeout errors

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Nov 2020 21:41:18 +0800

dolfinx (2019.2.0~git20201109.17bda9f-2) unstable; urgency=medium

  * update python tests in debian/tests
    - run --with-mpi (Depends: python-pytest-mpi)
    - run gmsh demos (Depends: python-gmsh)
    - let demo test script generate demo files
  * process real build separately from usual dh_auto_install overrides
    to make available for the python doc build.

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Nov 2020 17:09:12 +0800

dolfinx (2019.2.0~git20201109.17bda9f-1) unstable; urgency=medium

  * New upstream snapshot.
   - deprecates debian patch test_expression_evaluation_nocomplex.patch
  * debian patch lowercase_slepc.pc_PR1195.patch applies upstream
    PR1195 to allow for a lowercase SLEPc (and PETSc) pkgconfig file.
  * use local build in debian/tmp-real to build python docs

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 Nov 2020 21:07:06 +0800

dolfinx (2019.2.0~git20201001.73080e8-3) unstable; urgency=medium

  * tighten fenics (ffcx,ufl) dependency against latest ffcx snapshot
    python3-ffcx >= 2019.2.0~git20200921

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Oct 2020 10:42:39 +0800

dolfinx (2019.2.0~git20201001.73080e8-2) unstable; urgency=medium

  * libdolfinx-dev has been made arch-independent, so don't check for
    same 32/64-bitness in DOLFINXConfigVersion.cmake
    (edit test condition in debian/rules override_dh_install-indep)

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Oct 2020 03:23:10 +0800

dolfinx (2019.2.0~git20201001.73080e8-1) unstable; urgency=medium

  * New upstream snapshot
  * set DOLFINX_JIT_CFLAGS="-g0 -O0" in debian/tests to help debci
    python tests run a little faster (-O2 for demos). Closes: #970864.
  * debian patch avoid_cppimport_tests.patch avoids tests that import
    cppimport, which is not yet available (RFP#971573).
    Replace test_mpi and test_casters with older version without
    cppimport. Skip test_assemble_cppimport.
  * Build-Depends: python3-petsc4py, python3-slepc4py (needs .pth files)
  * Build-Depends-Indep: graphviz to provide dot when building docs
  * report number of processors (nproc) available in debian/tests
    Use only 2 processes for python MPI unit tests.

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Oct 2020 19:17:59 +0800

dolfinx (2019.2.0~git20200723.696fbc0-4) unstable; urgency=medium

  * swap libdolfinx-dev Depends/Recommends relationships with
    libdolfinx-{real,complex}-dev. Make libdolfinx-dev primary
    (i.e. default to real numbers)

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Aug 2020 09:50:30 +0800

dolfinx (2019.2.0~git20200723.696fbc0-3) unstable; urgency=medium

  * tighten versioned dependency on ffcx, ufl to >= 2019.2.0~git20200610
  * handle mathjax replacements in docs independently of mathjax version
  * python3-dolfinx-{real,complex} Recommends: python3-dolfinx

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Aug 2020 19:08:35 +0800

dolfinx (2019.2.0~git20200723.696fbc0-2) unstable; urgency=medium

  * python3-dolfinx-{real,complex} Depends: python3-scipy
  * skip demo_gmsh tests (pygmsh is not yet available)

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Aug 2020 20:16:44 +0800

dolfinx (2019.2.0~git20200723.696fbc0-1) unstable; urgency=medium

  * New upstream snapshot.
  * libdolfinx-dev Recommends: libdolfinx-real-dev | libdolfinx-complex-dev
    to break circular dependency. Closes: #963870.
  * don't run build tests if "nocheck" is set. Closes: #965946.
  * debian/copyright: remove repeated entry for FindEigen3.cmake

 -- Drew Parsons <dparsons@debian.org>  Sun, 02 Aug 2020 23:53:37 +0800

dolfinx (2019.2.0~git20200420.6043d6d-6) unstable; urgency=medium

  * replace arch references in DOLFINXTargets.cmake with
    CMAKE_LIBRARY_ARCHITECTURE. Closes: #961569.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jun 2020 15:58:49 +0800

dolfinx (2019.2.0~git20200420.6043d6d-5) unstable; urgency=medium

  * provide C++ and Python docs (html) in dolfinx-doc
  * debian/rules: include /usr/share/dpkg/architecture.mk

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Apr 2020 16:04:36 +0800

dolfinx (2019.2.0~git20200420.6043d6d-4) unstable; urgency=medium

  * replace debian patch revert_numba_core_cffi_b5164fe.patch with
    enable-importing-cffi_support-from-new-or-old-numba.patch to
    support both new and old versions of numba
  * mark libdolfinx-dev as Architecture: all, Multi-Arch: Foreign
    - use multiarch variable CMAKE_LIBRARY_ARCHITECTURE in
    /usr/share/dolfinx/cmake/DOLFINXTargets-relwithdebinfo.cmake
    - python3-dolfinx-{real,complex} Depends: libdolfinx-dev
      (= ${source:Version}) not  (= ${binary:Version}),

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Apr 2020 19:12:26 +0800

dolfinx (2019.2.0~git20200420.6043d6d-3) unstable; urgency=medium

  * debian/tests: allow-stderr for python tests
  * update Multi-Arch settings in packages.

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Apr 2020 11:59:37 +0800

dolfinx (2019.2.0~git20200420.6043d6d-2) unstable; urgency=medium

  * Build-Depends: python3-numba (debian/tests also)

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Apr 2020 11:14:37 +0800

dolfinx (2019.2.0~git20200420.6043d6d-1) unstable; urgency=medium

  * New upstream snapshot.
  * add debian patches
    - revert_numba_core_cffi_b5164fe.patch reverts upstream
      commit b5164fe (which requires numba 0.49)
    - test_expression_evaluation_nocomplex.patch marks
      unit test fem/test_expression_evaluation.py as expected to fail
      in complex build
    - stokes-taylor-hood-NAN.patch ignores NAN and inf in u_2 and u_3
      norms in stokes-taylor-hood demo

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Apr 2020 01:48:53 +0800

dolfinx (2019.2.0~git20200401.ed4a69e-1) experimental; urgency=medium

  * New upstream snapshot.
    - this is the francesco/issue897 branch, addressing handling of
      generated source code for demos (Issues #888, #893).
    - applies debian patches:
        FindSLEPc_MPI.patch,
        test_mpirun_params.patch
  * drop debian patch python_test_assembler_PETSC_DIR.patch:
    PETSC_DIR must be set at build time as an environment variable
    (see upstream Issue #819)
  * build time tests are now run after installation
  * dolfinx-doc now provides both real and complex demos
  * Build-Depends: libpetsc-complex-dev, libslepc-complex-dev,
    python3-petsc4py-complex, python3-slepc4py-complex

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 01:19:41 +0800

dolfinx (2019.2.0~git20200128.797071f-4) experimental; urgency=medium

  * provide real and complex number builds in packages
    python3-dolfinx-real and python3-dolfinx-complex (and
    libdolfinx-real2019.2 and libdolfinx-complex2019.2)
    Dev links (.so) provided in libdolfinx-real-dev and
    libdolfinx-complex-dev
  * source is copied to build-real and build-complex to avoid
    mix-up in generated build-time source files
  * debian patch lib_rename.patch adds build-type extension to library
    name (_real or _complex).
  * The python modules are installed under their respective
    PETSC_DIRs. By default the version built against the preferred
    version of PETSc in /usr/lib/petsc is selected, but the
    alternative version can be selected by setting the environment
    variable PETSC_DIR.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Mar 2020 15:57:16 +0800

dolfinx (2019.2.0~git20200128.797071f-3) experimental; urgency=medium

  * add Build-Depends: python3-ufl, python3-mpi4py, python3-petsc4py

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Feb 2020 23:41:41 +0800

dolfinx (2019.2.0~git20200128.797071f-2) experimental; urgency=medium

  * Depends: python3-cffi instead of python3-dijitso.
  * debian patch test_mpirun_params.patch reinstates support for
    MPIEXEC_PARAMS applied to mpi tests (cf. dolfin PR#519).

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Feb 2020 22:47:04 +0800

dolfinx (2019.2.0~git20200128.797071f-1) experimental; urgency=medium

  * New upstream snapshot of next-generation DOLFIN-X.
  * no longer provides dolfin[x]-bin (sundry scripts not installed)
  * add debian patches
    - FindSLEPc_MPI.patch links SLEPc tests to mpi in FindSLEPc.cmake
      (cf. upstream PR#315.)
    - python_cmake_module_path.patch adds path to dolfinx cmake files
      installed mid-build and needed for the python installation
    - python_test_assembler_PETSC_DIR.patch gets PETSC_DIR from
      petsc4py if not defined in env variable

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Jan 2020 01:36:27 +0800

dolfin (2019.2.0~git20200124.734bf76-1) experimental; urgency=medium

  * New upstream snapshot.
    - applies debian patches revert_PETSc3.11_8e92f6ee.patch
      and workaround_matplotlib_broken_API.patch
  * Standards-Version: 4.5.0
  * Get demo mesh files with git-lfs fetch, register in
    debian/source/include-binaries, with ascii xdmf sample file in
    debian/patches/git-lfs_fetch_demo_meshes

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Jan 2020 03:25:39 +0800

dolfin (2019.1.0-10) unstable; urgency=medium

  * debian patch workaround_matplotlib_broken_API.patch works around
    broken API in matplotlib 3.1: can no longer set axes.aspect to
    'equal' in 3d.

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Dec 2019 08:25:16 +1100

dolfin (2019.1.0-9) unstable; urgency=medium

  * skip all build-time tests on mips64el. Closes: 945817.
  * skip some build-time MPI tests on ia64
  * set MCA btl_base_warn_component_unused to 0 in also for build-time
    tests in debian/rules

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Dec 2019 23:43:12 +0800

dolfin (2019.1.0-8) unstable; urgency=medium

  * libdolfin-dev Depends: g++ | c++-compiler,
    dolfin-doc Recommends: python3-matplotlib
  * set MCA btl_base_warn_component_unused to 0 in debian/tests
    (python) to ignore complaints about missing OpenFabrics transports

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Nov 2019 00:49:22 +0900

dolfin (2019.1.0-7) unstable; urgency=medium

  * skip demo_built-in-meshes_mpi test on ia64
  * relax pybind11 dependency. pybind11 follows semantic versioning,
    so should be backwards compatible with minor and patch version
    updates.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2019 15:27:11 +0800

dolfin (2019.1.0-6) unstable; urgency=medium

  * skip test demo_biharmonic_mpi on ia64

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Sep 2019 16:26:12 +0800

dolfin (2019.1.0-5) unstable; urgency=medium

  * deactivate colour for MPI python unit tests to aid log readability
  * debian patch scripts_python3.patch superficially converts
    dolfin-order and dolfin-plot to Python3. They are deprecated and
    may not work anyway. Closes: #936436.

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Sep 2019 03:39:33 +0800

dolfin (2019.1.0-4) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-dolfin
  * skip the demo_bcs_mpi test on ia64

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Aug 2019 09:41:17 +0800

dolfin (2019.1.0-3) experimental; urgency=medium

  * autopkgtest: report CPUs available (merge 2018.1.0.post1-18)

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Jun 2019 12:38:07 +0800

dolfin (2019.1.0-2) experimental; urgency=medium

  * debian/README.source: document the file format of
    scripts/dolfin-convert/test_exodus.exo as Exodus II
    (can view in paraview)
  * update debian/copyright (AUTHORS, io/pugi*)
  * merge C++ unit tests into debian/tests from 2018.1.0.post1-17

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Jun 2019 12:04:49 +0800

dolfin (2019.1.0-1) experimental; urgency=medium

  * New upstream release (official).
    - applies patches:
      * PETSc_3.10_SNESTEST_removed.patch
      * conditional-parmetis-in-cholmod.patch
      * test_mpi_oversubscribe.patch
      * unittests_demos_include_dirs.patch
      * v2019.1.patch
  * debhelper 12: Build-Depends: debhelper-compat (= 12)
  * apply debian patch revert_PETSc3.11_8e92f6ee.patch:
    VecScatterCreateWithData never made it into PETSc 3.11

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 22:43:54 +0800

dolfin (2019.1.0~git20190216+lfs-1) experimental; urgency=medium

  * New upstream test release.
    - applies pytest_fixtures_096217a.patch
    - demo data files pulled in from git lfs
  * debian patch v2019.1.patch bumps DOLFIN_VERSION to 2019.1
    (needed to set soname for libdolfin.so)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 10:40:45 +0800

dolfin (2018.1.0.post1-18) unstable; urgency=medium

  * debian/tests (autopkgtest): report CPUs available and used for
    C++ MPI demos (tracking flaky timeouts, Bug#920546)

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Jun 2019 13:30:35 +0800

dolfin (2018.1.0.post1-17) unstable; urgency=medium

  * debian/tests (autopkgtest): run C++ unit tests

 -- Drew Parsons <dparsons@debian.org>  Fri, 31 May 2019 23:24:20 +0800

dolfin (2018.1.0.post1-16) unstable; urgency=medium

  * use ctest --output-on-failure not -output-on-failure

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Feb 2019 19:14:25 +1100

dolfin (2018.1.0.post1-15) unstable; urgency=medium

  * symlink man-page for fenics-version to manpage for dolfin-version
  * run ctest with -output-on-failure to show details of test failures

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Feb 2019 13:58:33 +1100

dolfin (2018.1.0.post1-14) unstable; urgency=medium

  * add debian patch pytest_fixtures_096217a.patch
    (upstream commit 096217a0a3cb710e869d7e82a3d3609c4d968b76)
    to update tests for latest pytest API.
  * debhelper compatibility level 12
  * dolfin-bin installs /usr/bin/fenics-version
  * usr/share/dolfin/dolfin.conf is redundant on Debian,
    list it in debian/not-installed
  * debian/rules:
    - skip C++ build-time tests of demo_elastodynamics_mpi
      (unreliable, sometimes passes, but fails with pdebuild)
    - override dh_dwz to ignore python module .so files (already
      stripped by python's setuptools)

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Feb 2019 18:07:21 +1100

dolfin (2018.1.0.post1-13) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * create patch PETSc_3.10_SNESTEST_removed.patch to work with
    PETSc 3.10 (SNESTEST has been removed). Thanks Jed Brown.

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Dec 2018 09:14:38 +0100

dolfin (2018.1.0.post1-12) unstable; urgency=medium

  * apply strict versioned depends on pybind11,
    python3-dolfin Depends: pybind11 (>= 2.2.4), pybind11 (<= 2.2.5)
    Closes: #909407.
  * Hardening: add dpkg-buildflags CXXFLAGS to CMAKE_CXX_FLAGS and
    python module build
  * use VERBOSE build of python modules

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Sep 2018 03:03:27 +0800

dolfin (2018.1.0.post1-11) unstable; urgency=medium

  * skip slow build-time tests (>500-1000 sec to complete)
  * rebuild for pybind11 2.2.4

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Sep 2018 04:58:48 +0800

dolfin (2018.1.0.post1-10) unstable; urgency=medium

  * skip build-time tests:
    - demo_auto-adaptive-poisson_serial test on m68k
    - demo_cahn-hilliard_mpi and other MPI tests on mips
    - all tests on sh4

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Sep 2018 03:53:23 +0800

dolfin (2018.1.0.post1-9) unstable; urgency=medium

  * autopkgtest: configure cpp tests with mpicc to ensure that the
    cmake test for PetscInt passes
  * Standards-Version: 4.2.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Sep 2018 04:17:35 +0800

dolfin (2018.1.0.post1-8) unstable; urgency=medium

  * mark libdolfin2018.1 as Multi-Arch: same
  * python3-dolfin Depends: python3-six
  * Standards-Version: 4.2.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Aug 2018 00:11:03 +0800

dolfin (2018.1.0.post1-7) unstable; urgency=medium

  * skip demo_stokes-taylor-hood_mpi test on mips64el

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Aug 2018 22:54:05 +0800

dolfin (2018.1.0.post1-6) unstable; urgency=medium

  * skip demo_cahn-hilliard_mpi, demo_ale_mpi, demo_poisson-disc_mpi
    tests on mipsel
  * skip demo_elasticity_serial test on m68k
  * run build-time tests on mips, but skip demo_cahn-hilliard_serial,
    demo_hyperelasticity_serial

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Jul 2018 15:16:58 +0800

dolfin (2018.1.0.post1-5) unstable; urgency=medium

  * update debian/test (autopkgtest) Depends
  * skip demo_sym-dirichlet-bc_mpi test on ppc64el
  * skip ALL build-time tests on mips, hurd-i386

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Jul 2018 22:42:00 +0800

dolfin (2018.1.0.post1-4) unstable; urgency=medium

  * skip demo_bcs_mpi test on mips64el
  * update debian/tests/control Depends: @, @builddeps@
    (to provide c++)

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jul 2018 14:47:32 +0800

dolfin (2018.1.0.post1-3) unstable; urgency=medium

  * update skipped tests:
    - skip demo_navier-stokes_mpi test on arm64
    - skip demo_contact-vi-tao_mpi on mips64el
    - skip demo_stokes-iterative_mpi on mipsel
    - skip all MPI tests on armhf, i386, hppa, powerpc
  * don't download fresh source for tests
  * do copy symlink contents for C++ tests (in particular, copy
    pulley.xdmf for demo_elasticity)
  * tests Depends: python3-pytest

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jul 2018 02:42:56 +0800

dolfin (2018.1.0.post1-2) unstable; urgency=medium

  * new upstream version for unstable.
    Some minor API changes:
      - Rename `mpi_comm_world()` to `MPI.comm_world`.
      - Rename `ERROR`, `CRITICAL` etc. to `LogLevel.ERROR`,
        `LogLevel.CRITICAL`.
  * skip demo_curl-curl_mpi test on mips64el

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 01:19:42 +0800

dolfin (2018.1.0.post1-1exp6) experimental; urgency=medium

  * skip all MPI tests on ppc64el

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 Jul 2018 10:39:00 +0800

dolfin (2018.1.0.post1-1exp5) experimental; urgency=medium

  * updates to debian/rules:
    - identify build dir using DEB_HOST_GNU_TYPE
    - respect the parallel flag in DEB_BUILD_OPTIONS when running tests
    - skip cahn-hilliard, elasticity, elastodynamics MPI build tests
      which fail or time out for: armel mips64el ppc64el
    - skip m68k MPI tests altogether (times out)
  * debian patch unittests_demos_include_dirs.patch ensures include
    directories are defined for tests without reconfiguring cmake
  * link elasticity/pulley.xdmf from python demo to cpp demo
  * allow parallel jobs (max 8) in CI test test-dolfin-cpp

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Jul 2018 13:14:48 +0800

dolfin (2018.1.0.post1-1exp4) experimental; urgency=medium

  * Enable installation CI testing with Testsuite: autopkgtest.
  * run build-time tests including unittests and demos
    - use --oversubscribe with openmpi tests
    - skip demo_hyperelasticity_mpi (it diverges)
  * enable MPI for mpich arches. LAM arches will have to manually
    set ENABLE_MPI=OFF in debian/rules.
  * configure default preference for mumps or petsc over superlu_dist,
    since superlu_dist is crippled by mc64, which cannot be
    redistributed.
  * Standards-Version: 4.1.5

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Jul 2018 23:49:43 +0800

dolfin (2018.1.0.post1-1exp3) experimental; urgency=medium

  * Build-Depends: python3-all-dev (build against all python3 versions)

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Jun 2018 11:21:07 +0800

dolfin (2018.1.0.post1-1exp2) experimental; urgency=medium

  * process python demo files only for doc (arch-indep) builds

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Jun 2018 23:45:13 +0800

dolfin (2018.1.0.post1-1exp1) experimental; urgency=medium

  * New corrected upstream release.
  * install python demos with dolfin-doc

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Jun 2018 20:50:58 +0800

dolfin (2018.1.0.post0-1exp1) experimental; urgency=medium

  * Corrected upstream release.
    - includes the fenics python module.
    - petsc4py and other include dirs are no longer added to
      DOLFIN_3RD_PARTY_INCLUDE_DIRS in DOLFINConfig.cmake.
      Closes: #895419.
  * Use override_dh_auto_test instead of DEB_BUILD_OPTIONS=nocheck
    to skip build time tests without triggering a lintian warning.

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Jun 2018 01:38:04 +0800

dolfin (2018.1.0-1exp1) experimental; urgency=medium

  [ Nico Schlömer ]
  * remove Python 2 package in preparation of 2018.1

  [ Drew Parsons ]
  * New upstream release.
    - python-dolfin is now a dummy package that depends on python3-dolfin.
    - remove debian patches applied upstream:
        env.patch, gnuinstalldirs.patch, use-dolfin.patch
    - no longer uses instant
    - uses pybind11 instead of SWIG
  * remove ancient-python-version-field X-Python3-Version: >= 3.4
  * Standards-Version: 4.1.4
  * Manpages for dolfin-bin scripts taken from old dolfin docs.

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Jun 2018 17:38:32 +0200

dolfin (2017.2.0.post0-3) unstable; urgency=medium

  * update petsc/slepc dependencies for PETSc/SLEPc 3.8
    (dev package now libpetsc-real3.8-dev not libpetsc3.8.3-dev)

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Mar 2018 10:46:39 +0800

dolfin (2017.2.0.post0-2) unstable; urgency=medium

  * debian/control: update VCS tags to salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Feb 2018 08:56:02 +0800

dolfin (2017.2.0.post0-1exp2) experimental; urgency=medium

  * reorganise debian/copyright: collect core DOLFIN files and
    contributors in one entry.
  * Remove -dbg packages from debian/control.
    Debug packages (-dbgsym) are built automatically.

 -- Drew Parsons <dparsons@debian.org>  Fri, 16 Feb 2018 15:34:44 +0800

dolfin (2017.2.0.post0-1exp1) experimental; urgency=medium

  * New upstream release.
    - updated debian/upstream/signing-key.asc for signature
      from the FEniCS Project Steering Council (key BED06106DD22BAB3)
    - drops VTK support (no plots, but VTK files can still be created)
    - update versions of Build-Dependencies:
        cmake (>= 3.5), swig3.0 (>= 3.0.5),
        petsc-dev (>= 3.7), slepc-dev (>= 3.7),
        libboost-dev (>= 1.56), libeigen3-dev (>= 3.2.90)
  * Standards-Version: 4.1.3
  * Update debian.patches
    - file encoding now included when reading files in python scripts
    - VTK no longer supported
  * debhelper compatibility level 11
  * debian/control: Priority: optional not extra
  * FEniCS version dependencies are taken as >=2017.2 and <=2017.3~
    i.e. depend on major.minor version only

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jan 2018 21:21:52 +0800

dolfin (2017.1.0-4) unstable; urgency=medium

  * Team upload.
  * New upstream (new soname) version built against GCC7.
    Closes: #871279.
  * Builds against swig 3.0.12. Closes: #875395.

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Sep 2017 15:45:48 +0800

dolfin (2017.1.0-3) experimental; urgency=medium

  * Team upload.
  * Add debian/patches/FindPETScSLEPc.patch to test for PETSc and
    SLEPc at build time. The patch ensures tests link against -lmpi.
    Thanks Johannes Ring.

 -- Drew Parsons <dparsons@debian.org>  Tue, 05 Sep 2017 01:20:24 +0800

dolfin (2017.1.0-2) experimental; urgency=medium

  * Team upload.
  * Create debian patch conditional-parmetis-in-cholmod.patch to only
    link cholmod support with parmetis if parmetis support is enabled.
    Parmetis is non-free and therefore cannot routinely be supported
    while dolfin is in Debian main.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10.

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Aug 2017 23:26:11 +0800

dolfin (2017.1.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control:
    - Update package names (libdolfin2016.2 -> libdolfin2017.1
      and libdolfin2016.2-dbg -> libdolfin2017.1-dbg).
    - Bump minimum required version for python-dijitso and python-ffc to
      2017.1 in Build-Depends.
  * Move d/libdolfin2016.2.install -> d/libdolfin2017.1.install.
  * d/patches/python3-support.patch: removed (fixed upstream).

 -- Johannes Ring <johannr@simula.no>  Fri, 07 Jul 2017 11:24:50 +0200

dolfin (2016.2.0-5) unstable; urgency=medium

  * libdolfin-dev depends on either the python2 or python3 version of
    modules (enables python3-only installation).

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Jul 2017 15:21:57 +0800

dolfin (2016.2.0-4) unstable; urgency=medium

  [ Johannes Ring ]
  * d/rules:
    - Re-generate swig interface with correct Python version
      before build and install. Closes: #863829.
    - Build for Python 2 after Python 3 by switching the order in
      PYVERS, since Python 2 is default.
  * Add patch vtk-python2-only-cmake-usefile.patch that disables the
    vtk section in UseDOLFIN.cmake for Python 3. Closes: #863828.
  * d/control: Add python-ffc to Depends for binary package
    libdolfin-dev (provides ufc.h).

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Jun 2017 12:14:40 +0800

dolfin (2016.2.0-3) unstable; urgency=medium

  [ Drew Parsons ]
  * Enable petsc/slepc dependencies on kfreebsd. Note that PETSc
    support in dolfin on kfreebsd is not in fact active due to linking
    problems during configuration tests, but dolfin builds
    successfully without it. Closes: #822971.

  [ Johannes Ring ]
  * Support Python 3: new packages python3-dolfin and python3-dolfin-dbg.

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 May 2017 16:17:28 +0800

dolfin (2016.2.0-2) unstable; urgency=medium

  * Dolfin depends on specific 3.7.X patch releases of PETSc and SLEPc
    (see dolfin.pc, DOLFINConfig.cmake)

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Jan 2017 06:18:32 +0800

dolfin (2016.2.0-1) unstable; urgency=medium

  [ Drew Parsons ]
  * Drop HDF5 Fortran configuration (it's not actually used).
  * Tighten build and python-dolfin fenics dependencies to the
    FENiCS minor version: (>= 2016.2.0), (<< 2016.3~)

  [ Johannes Ring ]
  * New upstream release.
  * d/watch: Check pgp signature.
  * d/control:
    - Update package names (libdolfin2016.1 -> libdolfin2016.2
      and libdolfin2016.1-dbg -> libdolfin2016.2-dbg).
    - Bump minimum required version for python-instant, python-ufl and
      python-ffc to 2016.2.
    - Add python-dijitso to Build-Depends and Depends for binary package
      python-dolfin.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Dec 2016 16:47:36 +0800

dolfin (2016.1.0-5) unstable; urgency=medium

  * Reenable HDF5 support.
  * patches/HDF5-configure.patch helps configure HDF5 parallel.

 -- Drew Parsons <dparsons@debian.org>  Fri, 16 Sep 2016 11:16:05 +0800

dolfin (2016.1.0-4) unstable; urgency=medium

  * Disable HDF5 support.
    HDF5 was never actually enabled previously due to a discrepant
    configuration between serial and parallel HDF5, but that now
    causes dolfin to fail to build.

 -- Drew Parsons <dparsons@debian.org>  Wed, 14 Sep 2016 12:52:59 +0800

dolfin (2016.1.0-3) unstable; urgency=medium

  * Thanks Christophe Prud'homme for your uploads of the earlier
    versions of dolfin.  Removing from the Uploaders list now.
    Closes: #835003.
  * enable parallel build (dh $@ --parallel). Closes: #833602.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Sep 2016 17:19:42 +0800

dolfin (2016.1.0-2) unstable; urgency=medium

  * Enable build against version of PETSc (and SLEPc) provided by
    petsc-dev, e.g. PETSc 3.6 or 3.7.
  * Include support for petsc4py and slepc4py.
  * Update debian/watch (uscan).

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Aug 2016 23:08:05 +0800

dolfin (2016.1.0-1) unstable; urgency=medium

  [ Johannes Ring ]
  * New upstream release.
  * debian/control:
    - Update package names for new SONAME 2016.1 (libdolfin1.6 ->
      libdolfin2016.1 and libdolfin1.6-dbg -> libdolfin2016.1-dbg).
    - Bump minimum required version for python-instant, python-ufl and
      python-ffc to 2016.1.
  * Move debian/libdolfin1.6.install -> debian/libdolfin2016.1.install.
  * debian/rules: Add -fpermissive to CXX flags.

 -- Drew Parsons <dparsons@debian.org>  Tue, 05 Jul 2016 13:14:01 +0800

dolfin (1.6.0-5) unstable; urgency=medium

  * Depends: libpetsc3.6-dev rather than petsc-dev.
    Likewise libslepc3.6-dev.
    dolfin 1.6 is not compatible with petsc 3.7.

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Jun 2016 09:11:42 +0800

dolfin (1.6.0-4) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * debian/control:
    + Update VCS fields after the move to Git.

  [ Drew Parsons ]
  * Remove python-dolfin dependency on python-netcdf. Closes: #821215.
  * Build against vtk6 not vtk5 (source and libdolfin-dev dependencies).
    Requires Qt4 support to be switched off (vtk6 uses Qt5).
    Qt support has been dropped upstream. Closes: #821875.
  * Activate support for SCOTCH.
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Apr 2016 23:59:41 +0800

dolfin (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Use OPENMPI_ARCHITECTURES from mpi-default-dev instead of hardcoding
    architectures where not to use openmpi.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 21 Apr 2016 15:33:43 +0000

dolfin (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Run wrap-and-sort -s
  * Switch to unversioned Build-Depends on petsc-dev and slepc-dev (also for
    the libdolfin-dev dependencies).

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 21 Apr 2016 13:32:44 +0000

dolfin (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add gfortran to build dependencies.
    - Update package names for new SONAME 1.6 (libdolfin1.5 ->
      libdolfin1.6 and libdolfin1.5-dbg -> libdolfin1.6-dbg).
    - Bump minimum required version for python-instant, python-ufl and
      python-ffc to 1.6.0.
    - Require swig3.0 (>= 3.0.3) in Build-Depends.
  * Move debian/libdolfin1.5.install -> debian/libdolfin1.6.install.
  * Remove patch for fixing problem with Python 2.7.10 (fixed upstream).
  * debian/rules:
    - Replace swig with swig3.0.
    - Set PETSC_DIR to /usr/lib/petsc and SLEPC_DIR to /usr/lib/slepc.
    - Explicitly disable petsc4py, slepc4py and sphinx.
    - Help CMake find the parallel version of hdf5.

 -- Johannes Ring <johannr@simula.no>  Sat, 31 Oct 2015 13:30:16 +0800

dolfin (1.5.0-4) unstable; urgency=medium

  * debian/control: Enable libpetsc3.2-dev and libslepc3.2-dev on
    armel, arm64 and hurd-i386 (closes: #787494).
  * debian/rules: Enable MPI on armel.

 -- Johannes Ring <johannr@simula.no>  Tue, 02 Jun 2015 12:39:45 +0200

dolfin (1.5.0-3) unstable; urgency=medium

  * Add patch to fix issue with Python 2.7.10 (closes: #786857).

 -- Johannes Ring <johannr@simula.no>  Mon, 01 Jun 2015 09:26:07 +0200

dolfin (1.5.0-2) unstable; urgency=medium

  * Upload to unstable (closes: #780359).

 -- Johannes Ring <johannr@simula.no>  Wed, 13 May 2015 09:48:59 +0200

dolfin (1.5.0-1) experimental; urgency=medium

  * New upstream release (closes: #780359).
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Bump X-Python-Version to >= 2.7.
    - Update package names for new SONAME 1.5 (libdolfin1.4 ->
      libdolfin1.5, libdolfin1.4-dbg -> libdolfin1.5-dbg and
      libdolfin1.4-dev -> libdolfin1.5-dev).
    - Bump minimum required version for python-instant, python-ufl and
      python-ffc to 1.5.0.
    - Add python-sympy and python-six to Depends for binary package
      python-dolfin.
    - Add dh-python to Build-Depends.
    - Remove libcgal-dev from {Build-}Depends.
  * Remove CSGCGALMeshGenerator3D-oom.patch since CGAL is no longer used
    by DOLFIN.
  * Move debian/libdolfin1.4.install -> debian/libdolfin1.5.install.
  * debian/rules: No longer any non DFSG-free stuff to remove, so update
    get-orig-source target (update debian/watch accordingly).
  * Update debian/copyright and debian/copyright_hints.

 -- Johannes Ring <johannr@simula.no>  Tue, 17 Mar 2015 07:57:11 +0100

dolfin (1.4.0+dfsg-4) unstable; urgency=medium

  * debian/control: Disable libcgal-dev on i386, mipsel and sparc.
  * debian/rules: Remove bad directives in pkg-config file dolfin.pc
    (closes: #760658).
  * Remove debian/libdolfin-dev.lintian-overrides.

 -- Johannes Ring <johannr@simula.no>  Mon, 22 Sep 2014 14:35:34 +0200

dolfin (1.4.0+dfsg-3) unstable; urgency=medium

  * debian/rules: Enable MPI on mips(el) and sparc (closes: #759182).
  * debian/control:
    - Disable libcgal-dev on {hurd, kfreebsd}-i386 since it requires
      unreasonable amounts of memory (closes: #759183).
    - Disable libpetsc3.4.2-dev and libslepc3.4.2-dev on amr64 since
      they are not available on this architecture.

 -- Johannes Ring <johannr@simula.no>  Fri, 29 Aug 2014 08:28:19 +0200

dolfin (1.4.0+dfsg-2) unstable; urgency=medium

  * Rename libdolfin1.4-dev to libdolfin-dev and remove dolfin-dev.

 -- Johannes Ring <johannr@simula.no>  Mon, 18 Aug 2014 10:21:43 +0200

dolfin (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update package names for new SONAME 1.3 (libdolfin1.3 ->
      libdolfin1.4, libdolfin1.3-dbg -> libdolfin1.4-dbg and
      libdolfin1.3-dev -> libdolfin1.4-dev).
    - Bump minimum required version for python-instant, python-ufl and
      python-ffc to 1.4.0.
    - Add python-ffc (>= 1.4.0) to Build-Depends.
    - Replace swig2.0 with swig in Build-Depends.
    - Remove ufc and python-ufc from Build-Depends and from Depends for
      binary package libdolfin1.4-dev and python-dolfin (closes: #755727).
    - Add libdolfin1.3-dev in Conflicts and Replaces for binary package
      libdolfin1.4-dev.
    - Remove libarmadillo-dev from {Build-}Depends.
    - Remove libptscotch-dev from {Build-}Depends (closes: #741165).
  * Move debian/libdolfin1.3.install -> debian/libdolfin1.4.install
    and debian/libdolfin1.3-dev.install -> debian/libdolfin1.4-dev.install.
  * debian/rules:
    - Enable CGAL again (accidentally disabled in last upload).
    - No longer needed to remove .pyc files in get-orig-source target.
    - Add "export PERL_LWP_SSL_VERIFY_HOSTNAME=0" to get-orig-source
      target to help uscan download from Bitucket.
  * Remove patch for bug in Boost (fixed).
  * Add lintian override libdolfin1.4-dev: pkg-config-bad-directive.

 -- Johannes Ring <johannr@simula.no>  Mon, 11 Aug 2014 09:57:36 +0200

dolfin (1.3.0+dfsg-2) unstable; urgency=medium

  * debian/control:
    - Disable libcgal-dev on armhf and mips since it requires
      unreasonable amounts of memory (closes: 739697).
    - Disable libpetsc3.4.2-dev and libslepc3.4.2-dev on hurd-i386 since
      they are not available on this architecture.
  * Add patch to workaround bug in boost (thanks to Peter Green).
  * Use DEB_BUILD_MULTIARCH when installing the DOLFIN library and
    pkg-config file.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Feb 2014 12:23:11 +0100

dolfin (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches for PETSc/SLEPc 3.4 (no longer needed).
  * debian/docs: README -> README.rst and remove TODO.
  * debian/control:
    - Bump Standards-Version to 3.9.5 (no changes needed).
    - Add libeigen3-dev in Build-Depends and Depends for binary package
      libdolfin1.3-dev.
    - Add python-ply in Build-Depends.
    - Update package names for new SONAME 1.3 (libdolfin1.2 ->
      libdolfin1.3, libdolfin1.2-dbg -> libdolfin1.3-dbg and
      libdolfin1.2-dev -> libdolfin1.3-dev).
    - Bump minimum required version for ufc and python-ufc to 2.3.0, and
      for python-instant, python-ufl and python-ffc to 1.3.0.
    - Add libdolfin1.2-dev in Conflicts and Replaces for binary package
      libdolfin1.3-dev.
    - Add python-ply in Build-Depends.
  * Move debian/libdolfin1.2.install -> debian/libdolfin1.3.install
    and debian/libdolfin1.2-dev.install -> debian/libdolfin1.3-dev.install.
  * debian/libdolfin1.3-dev.install: Remove pkg-config file dolfin.pc
    (cmake files should be used instead).
  * debian/rules: Remove .pyc files in get-orig-source target.

 -- Johannes Ring <johannr@simula.no>  Fri, 14 Feb 2014 19:11:50 +0100

dolfin (1.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * CSGCGALMeshGenerator3D-oom.patch: new patch, workaround for FTBFS on some
    arches due to g++ eating all the RAM.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Dec 2013 19:16:13 +0100

dolfin (1.2.0+dfsg-3) unstable; urgency=low

  * Team upload.
  * Refactor patches for PETSc/SLEPc 3.4, to fix a missing symbol in the library
    + petsc-slepc-3.4.2.patch: remove patch
    + {slepc,petsc}-3.4.patch: new patches taken from upstream

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Oct 2013 15:48:52 +0100

dolfin (1.2.0+dfsg-2) unstable; urgency=low

  * Team upload.
  * Update (build-)dependencies to libpetsc3.4.2-dev and
    libslepc3.4.2-dev.
  * petsc-slepc-3.4.2.patch: new patch to adapt for the new PETSC/SLEPC.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 26 Oct 2013 04:33:36 +0200

dolfin (1.2.0+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #718636, #718153).
  * debian/control:
    - Replace libdolfin1.1 with libdolfin1.2 and libdolfin1.1-dev with
      libdolfin1.2-dev to follow library soname.
    - Bump required version for ufc, python-ufc, python-ffc, python-ufl,
      and python-instant.
    - Add libdolfin1.1-dev to Conflicts and Replaces for binary package
      libdolfin1.2-dev.
    - Bump Standards-Version to 3.9.4.
    - Remove DM-Upload-Allowed field.
    - Bump required debhelper version in Build-Depends.
    - Replace python-all-dev with python-dev in Build-Depends.
    - Remove cdbs from Build-Depends.
    - Use canonical URIs for Vcs-* fields.
    - Disable libcgal-dev on armel.
    - Enable libpetsc3.2-dev and libslepc3.2-dev on armhf and s390x.
    - Enable libptscotch-dev on all arches.
    - Add new debug package python-dolfin-dbg.
  * debian/compat: Bump to compatibility level 9.
  * debian/rules:
    - Rewrite for debhelper (drop cdbs).
    - Avoid hardcoding the swig2.0 version (closes: #692852).
    - Update get-orig-source target to remove non DFSG-free stuff,
      update watch file accordingly.
  * Update debian/copyright and debian/copyright_hints.
  * Move debian/libdolfin1.1.install to debian/libdolfin1.2.install and
    debian/libdolfin1.1-dev.install to debian/libdolfin1.2-dev.install
    to follow library soname.
  * Add dolfin-get-demos in dolfin-bin.install and add manual page for it.
  * Add all CMake files in libdolfin1.2-dev.install.

 -- Johannes Ring <johannr@simula.no>  Tue, 06 Aug 2013 16:49:23 +0200

dolfin (1.1.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/control:
    - Replace libdolfin1.0 with libdolfin1.1 and libdolfin1.0-dev with
      libdolfin1.1-dev to follow library soname.
    - Bump required version for ufc, python-ufc, python-ffc, python-ufl,
      and python-instant.
    - Add libdolfin1.0-dev to Conflicts and Depends for binary package
      libdolfin1.1-dev.
    - Add libvtk5-dev, libvtk5-qt4-dev, libqt4-dev, libhdf5-mpi-dev,
      libboost-timer-dev and libboost-chrono-dev to Build-Depends and in
      Depends field for binary package libdolfin1.1-dev.
    - Add python-ply to Depends for binary package python-dolfin.
    - Remove python-viper from Depends for binary package python-dolfin.
  * debian/rules: Enable building with HDF5, VTK, and QT.
  * Move debian/libdolfin1.0.install to debian/libdolfin1.1.install and
    debian/libdolfin1.0-dev.install to debian/libdolfin1.1-dev.install
    to follow library soname.
  * debian/patches: Remove patches now fixed upstream.
  * Determine swig2.0 version at build time (closes: #692852). Thanks to
    Stefano Riviera for the patch.

 -- Johannes Ring <johannr@simula.no>  Thu, 10 Jan 2013 11:28:21 +0100

dolfin (1.0.0-7) unstable; urgency=low

  * debian/control:
    - Remove Conflicts and Replaces from binary package libdolfin1.0-dbg.
    - Update long description for all packages.
    - Add python-netcdf to Depends for binary package python-dolfin
      (closes: #674014).
    - Require SWIG upstream version 2.0.7 for binary package
      python-dolfin (closes: #675207).
    - Require UFC >= 2.0.5-3.

 -- Johannes Ring <johannr@simula.no>  Fri, 29 Jun 2012 09:45:28 +0200

dolfin (1.0.0-6) unstable; urgency=low

  * debian/rules: Set default Python version to fix FTBFS when Python3
    is available (closes: #672952).
  * debian/control: Remove Provides: libdolfin0-dev from
    libdolfin1.0-dev (and same to -dbg package).

 -- Johannes Ring <johannr@simula.no>  Mon, 21 May 2012 10:09:59 +0200

dolfin (1.0.0-5) unstable; urgency=low

  * Add patches to fix problems with SWIG 2.0.5 and GCC 4.7.
  * debian/control: Require UFC >= 2.0.5-2.

 -- Johannes Ring <johannr@simula.no>  Mon, 14 May 2012 11:25:47 +0200

dolfin (1.0.0-4) unstable; urgency=low

  * debian/watch: Replace http with https in URL.
  * debian/control:
    - Add libcgal-dev to Build-Depends and Depends for binary package
      libdolfin1.0-dev.
    - Bump Standards-Version to 3.9.3 (no changes needed).
  * debian/rules:
    - Enable CGAL support.
    - Call dh_numpy in binary-install/python-dolfin target to fix
      lintian error missing-dependency-on-numpy-abi.

 -- Johannes Ring <johannr@simula.no>  Tue, 20 Mar 2012 14:47:27 +0100

dolfin (1.0.0-3) unstable; urgency=low

  * Disable building with PETSc, SLEPc and SCOTCH on some arches.

 -- Johannes Ring <johannr@simula.no>  Tue, 14 Feb 2012 11:46:11 +0100

dolfin (1.0.0-2) unstable; urgency=low

  * debian/control:
    - Replace libpetsc3.1-dev and libslepc3.1-dev with libpetsc3.2-dev
      and libslepc3.2-dev, respectively.
    - Require libptscotch-dev, libpetsc3.2-dev and libslepc3.2-dev on
      all arches.
  * debian/rules: Help CMake find version 3.2 of PETSc and SLEPc by
    defining PETSC_DIR and SLEPC_DIR variables, respectively.

 -- Johannes Ring <johannr@simula.no>  Mon, 30 Jan 2012 11:45:31 +0100

dolfin (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump version numbers for python-ufc, python-ffc, python-viper,
      python-ufl and python-instant in Depends field for binary package
      python-dolfin.
    - Bump version numbers for ufc and python-ufc in Build-Depends and
      in Depends field for binary package libdolfin1.0-dev.

 -- Johannes Ring <johannr@simula.no>  Thu, 08 Dec 2011 08:47:31 +0100

dolfin (1.0-rc2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump version for ufc and python-ufc to 2.0.4.

 -- Johannes Ring <johannr@simula.no>  Tue, 29 Nov 2011 11:44:52 +0100

dolfin (1.0-rc1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Update Homepage field.
    - Add libboost-math-dev to Build-Depends and in Depends field for
      binary package libdolfin1.0-dev.
  * Disable Trilinos support (version >= 10.8.1 now required).
  * Remove patch for building with Trilinos.
  * Update debian/copyright and debian/copyright_hints.

 -- Johannes Ring <johannr@simula.no>  Tue, 22 Nov 2011 12:10:02 +0100

dolfin (1.0-beta2-1) unstable; urgency=low

  * New upstream release.
  * Add lintian override dolfin-dev: empty-binary-package.
  * debian/control:
    - Add libboost-mpi-dev in Build-Depends and in Depends field for
      binary package libdolfin1.0-dev.
    - Bump version numbers for dependencies ufc, python-ufc, python-ffc,
      and python-ufl.
  * debian/patches: Remove patch for importing PyTrilinos before DOLFIN
    as this is now fixed upstream.

 -- Johannes Ring <johannr@simula.no>  Thu, 27 Oct 2011 13:17:47 +0200

dolfin (1.0-beta-1) unstable; urgency=low

  * New upstream release. This release fixes a large number of bugs and
    brings many improvements. The most notable changes are improved
    support for parallel computing and a redesigned and simplified
    interface for solving variational problems.
  * debian/control:
    - Add libboost-iostreams-dev to Build-Depends and to Depends in -dev
      package.
    - Replace libdolfin0 with libdolfin1.0 and libdolfin0-dev with
      libdolfin1.0-dev to follow library soname.
    - Bump required version for ufc, python-ufc, python-ffc,
      python-viper, python-ufl, and python-instant.
    - Add provide, replace and conflict on libdolfin0-dev for binary
      package libdolfin1.0-dev. Similarly for libdolfin1.0-dbg.
  * Add patch for importing PyTrilinos before dolfin (closes: #631589).
  * Rename libdolfin0.install to libdolfin1.0.install and
    libdolfin0-dev.install to libdolfin1.0-dev.install to follow library
    soname.

 -- Johannes Ring <johannr@simula.no>  Wed, 17 Aug 2011 12:01:58 +0200

dolfin (0.9.11-1) unstable; urgency=low

  * New upstream release. This release moves to SWIG 2.0 and it
    incorporates a significant number of bug fixes.
  * debian/control:
    - Bump Standards-Version to 3.9.2 (no changes needed).
    - Replace swig with swig2.0 in Build-Depends.
    - Add swig2.0 to Depends for binary package python-dolfin.
    - Bump required version for ufc and python-ufc in Build-Depends.
    - Bump required version for ufc, python-ufc, python-ffc, python-ufl
      and python-instant in Depends for binary packages libdolfin0-dev
      and python-dolfin.
  * debian/rules:
    - Set SWIG_EXECUTABLE to /usr/bin/swig2.0.
    - Use DEB_COMPRESS_EXCLUDE_ALL instead of deprecated
      DEB_COMPRESS_EXCLUDE.
    - Include cdbs utils.mk rule for automated copyright checks.
  * debian/copyright:
    - Update for upstream license change to LGPLv3.
    - Switch to DEP-5 format.
  * Remove custom cdbs rules and licensecheck script for copyright check.
  * Disable MPI on lam architectures (closes: #627172).
  * Add patch to fix FTBFS when Trilinos is enabled (closes: #624925).

 -- Johannes Ring <johannr@simula.no>  Wed, 18 May 2011 13:30:21 +0200

dolfin (0.9.10-2) unstable; urgency=low

  * Move from python-central to dh_python2 (closes: #616793).
    - Remove python-central from Build-Depends.
    - Bump minimum required python-all-dev package version to 2.6.6-3~.
    - Remove XB-Python-Version line.
    - Bump minimum required cdbs version to 0.4.90~.
    - Replace XS-Python-Version with X-Python-Version.
    - Replace call to dh_pycentral with dh_python2 in debian/rules.
  * Build for all supported Python versions.
  * Remove some unnecessary packages in Depends for binary packages
    libdolfin0 and libdolfin0-dev.
  * Add ufc and python-ufc in Depends for binary package libdolfin0-dev.
  * Add python-ufc, python-ffc, python-viper, python-ufl python-instant,
    and python-numpy in Depends for binary package python-dolfin.
  * Disable building with PETSc and SLEPc on some architectures.
  * Remove old Provides field for binary package python-dolfin.

 -- Johannes Ring <johannr@simula.no>  Fri, 15 Apr 2011 09:17:37 +0200

dolfin (0.9.10-1) unstable; urgency=low

  * New upstream release. This release fixes bug "FTBFS: error:
    'SCOTCH_Dgraph' was not declared in this scope" (closes: #612602).
  * debian/control:
    - Add libslepc3.1-dev and libboost-thread-dev to Build-Depends and
      Depends field in binary package libdolfin0-dev.
    - Bump build dependency on python-ufc to >= 2.0.0.
    - Remove Build-Depends-Indep field as upstream no longer ships the
      user manual.
    - Remove old fields Conflicts, Provides, and Replaces from
      libdolfin0-dev, libdolfin0, libdolfin0-dbg, and python-dolfin.
  * Remove all patches as they are now incorporated upstream.
  * Add dolfin-plot and dolfin-version to debian/dolfin-bin.install.
  * Remove .doc-base file since the user manual is removed by upstream.
  * Remove targets clean and install/dolfin-doc from debian/rules since
    they are no longer needed.

 -- Johannes Ring <johannr@simula.no>  Thu, 24 Feb 2011 10:34:44 +0100

dolfin (0.9.9-4) unstable; urgency=low

  * Update Homepage field in debian/control and Maintainer field in
    debian/copyright.
  * Add patch for generating correct pkg-config file dolfin.pc.

 -- Johannes Ring <johannr@simula.no>  Tue, 11 Jan 2011 12:36:55 +0100

dolfin (0.9.9-3) unstable; urgency=low

  * Add patch from upstream to fix problem with the CMake config file
    (dolfin-config.cmake) having the wrong path to the DOLFIN library.

 -- Johannes Ring <johannr@simula.no>  Tue, 14 Sep 2010 18:45:39 +0200

dolfin (0.9.9-2) unstable; urgency=low

  * debian/rules: Make CMake skip adding runtime paths.

 -- Johannes Ring <johannr@simula.no>  Tue, 14 Sep 2010 10:49:24 +0200

dolfin (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Switch to CMake CDBS class:
    - Replace scons with cmake in Build-Depends and in Suggests for
      binary package dolfin-doc.
    - Add cmake to Depends field for binary package libdolfin0-dev.
    - Install CMake config file for DOLFIN with package libdolfin0-dev.
  * debian/control:
    - Update version for python-ufc in Build-Depends field.
    - Update version for python-ufl in Depends field for binary package
      libdolfin0-dev.
    - Update version for ufc and python-ffc in Depends field for binary
      package libdolfin0-dev.
    - Bump Standards-Version to 3.9.1 (no changes needed).
  * Add patches from upstream to help CMake find PETSc, SLEPc, and
    Trilinos and for installing some missing utilities (dolfin-convert
    and dolfin-order) and manual pages.
  * Update debian/copyright and debian/copyright_hints.

 -- Johannes Ring <johannr@simula.no>  Mon, 13 Sep 2010 11:45:17 +0200

dolfin (0.9.8-3) unstable; urgency=low

  * Disable Trilinos on non-supported platforms (closes: #590100).

 -- Johannes Ring <johannr@simula.no>  Wed, 04 Aug 2010 16:47:38 +0200

dolfin (0.9.8-2) unstable; urgency=low

  * Fix generation of pkg-config file dolfin.pc.

 -- Johannes Ring <johannr@simula.no>  Sun, 04 Jul 2010 20:41:45 +0200

dolfin (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Update version for python-ufc in Build-Depends field.
    - Update version for python-ufl in Depends field for binary package
      libdolfin0-dev.
    - Update version for ufc, python-ffc, and python-viper in Depends
      field for binary package libdolfin0-dev.
    - Add libarmadillo-dev to Build-Depends and Depends for binary
      package libdolfin0-dev.
  * Allow building against either version 3.0.0 or 3.1 of PETSc.
  * Remove patches (added upstream).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/copyright and debian/copyright_hints.
  * Enable Trilinos support.

 -- Johannes Ring <johannr@simula.no>  Fri, 02 Jul 2010 13:24:21 +0200

dolfin (0.9.7-5) unstable; urgency=low

  * Add patch from upstream to detect and build with SCOTCH.

 -- Johannes Ring <johannr@simula.no>  Mon, 14 Jun 2010 13:15:04 +0200

dolfin (0.9.7-4) unstable; urgency=low

  * Add support for PETSc 3.1 (closes: #583419).
  * Minor fix in Vcs fields in debian/control.

 -- Johannes Ring <johannr@simula.no>  Mon, 07 Jun 2010 09:25:13 +0200

dolfin (0.9.7-3) unstable; urgency=low

  * debian/rules: Remove bashism (closes: #581470).

 -- Johannes Ring <johannr@simula.no>  Thu, 20 May 2010 10:27:06 +0200

dolfin (0.9.7-2) unstable; urgency=low

  * Package moved from pkg-scicomp to Debian Science.
  * Enable building for multiple Python versions.
  * debian/control:
    - Replace python-dev with python-all-dev in Build-Depends.
    - Update version dependencies for python-ufc, ufc, python-ffc, and
      python-viper (closes: #571780).
    - Replace libscotch-dev with libptscotch-dev in Build-Depends and in
      Depends for binary package libdolfin0-dev.
  * Add configure target to cdbs tweaks for scons.
  * Rename binary package python-pydolfin0 to python-dolfin.

 -- Johannes Ring <johannr@simula.no>  Tue, 27 Apr 2010 17:21:22 +0200

dolfin (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add pkg-config to Build-Depends and Depends in
    binary package libdolfin0-dev.
  * Do not build with GTS (support was removed upstream).
  * Keep debian/copyright and debian/copyright_hints up to date.

 -- Johannes Ring <johannr@simula.no>  Thu, 18 Feb 2010 00:40:38 +0100

dolfin (0.9.6-2) unstable; urgency=low

  * Disable support for Trilinos for now.

 -- Johannes Ring <johannr@simula.no>  Sat, 13 Feb 2010 09:55:48 +0100

dolfin (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add libtrilinos-dev to Build-Depends and Depends for binary
      package libdolfin0-dev.
    - Add python-pytrilinos to Build-Depends and Depends for binary
      package python-pydolfin0.
    - Bump Standards-Version to 3.8.4 (no changes needed).
  * debian/rules:
    - Enable building with Trilinos.
    - Remove some old lintian fixes.
    - Fix problem when generating pkg-config dolfin.pc in
      install/libdolfin0-dev target.
  * debian/copyright: Keep up-to-date with new and removed files.

 -- Johannes Ring <johannr@simula.no>  Fri, 12 Feb 2010 10:27:02 +0100

dolfin (0.9.5-1) unstable; urgency=low

  * New upstream release. This release simplifies the use of Constants
    and Expressions in both the C++ and Python interfaces, with the
    automatic selection of function spaces from Python. Support for
    computing eigenvalues of symmetric matrices has been improved and a
    number of small bugs have been fixed.
  * debian/watch: Update download URL.
  * debian/copyright: Update for new and removed files.
  * debian/rules:
    - Include new adaptivity demos in dolfin-doc package.
    - Disable ParMETIS and MTL4 explicitly.
  * Add debian/dolfin-doc.doc-base for DOLFIN user manual.
  * debian/control: Slight modifications in package descriptions.
  * debian/python-pydolfin0.install: Allow both site-packages and
    dist-packages.

 -- Johannes Ring <johannr@simula.no>  Thu, 10 Dec 2009 11:53:04 +0100

dolfin (0.9.4-1) unstable; urgency=low

  * New upstream release. This version cleans up the design of the
    function class by adding a new abstraction for user-defined
    functions called Expression. A number of minor bugfixes and
    improvements have also been made.
  * debian/watch: Update for new flat directory structure.
  * Update debian/copyright.
  * debian/rules: Use explicit paths to PETSc 3.0.0 and SLEPc 3.0.0.

 -- Johannes Ring <johannr@simula.no>  Mon, 12 Oct 2009 14:13:18 +0200

dolfin (0.9.3-1) unstable; urgency=low

  * New upstream release. This version provides many new features,
    improvements and bug fixes, including improved XML file handling,
    improved Python support and compressed VTK file output. Experimental
    parallel assembly and solve is now available, with fully distributed
    meshes, parallel mesh partitioning and parallel IO.
  * debian/control:
    - Add DM-Upload-Allowed: yes.
    - Bump debhelper version to 7.
    - Bump Standards-Version to 3.8.3 (no changes needed).
    - Add libboost-program-options-dev and libboost-filesystem-dev to
      Build-Depends and to Depends for binary package libdolfin0-dev.
  * debian/rules:
    - Update for new 3 step build process.
    - Build documentation.
  * Update debian/copyright.
  * Remove old patches (now included upstream).
  * Remove (temporary) support for Trilinos because of #529807.

 -- Johannes Ring <johannr@simula.no>  Mon, 28 Sep 2009 09:21:05 +0200

dolfin (0.9.2-2) unstable; urgency=low

  * debian/control:
    - add build-dependency on libtrilinos-dev and
      libboost-serialization-dev (closes: #540118).
    - add libtrilinos-dev to Depends field for -dev package.
    - add python-pytrilinos to Depends field for python- package.
    - change -dbg package section to debug (removes lintian warning).
    - update Standard-Version to 3.8.2.
  * debian/rules: enable building against Trilinos.
  * debian/patches: add patch for build system to find Trilinos (taken
    from upstream development repository).

 -- Johannes Ring <johannr@simula.no>  Mon, 10 Aug 2009 16:03:52 +0200

dolfin (0.9.2-1) unstable; urgency=low

  * Initial release (Closes: #503082)

 -- Johannes Ring <johannr@simula.no>  Tue, 16 Sep 2008 08:41:20 +0200
